Usage() {
    echo "Usage: testall.sh [options]"
    echo "-k    Keep intermediate files"
    echo "-h    Print this help"
    exit 1
}

while getopts kdpsh c; do
    case $c in
    k) # Keep intermediate files
        keep=1
        ;;
    h) # Help
        Usage
        ;;
    esac
done


if [ $keep -eq 0 ] ; then
    cd tests/SUCCESS
    ./testall.sh
    cd ../..

    cd tests/FAIL
    ./testall.sh
    cd ../..
else
    cd tests/SUCCESS
    ./testall.sh -k
    cd ../..

    cd tests/FAIL
    ./testall.sh -k
    cd ../..

fi

